# inoreader
Node.js wrapper for the Inoreader.com API. Based on Promises.
Project forked from https://github.com/johntitus/inoreader
Forked to update and fix login method as it was broken and need this as an npm module.
All Rights of project go to John Titus

## Installation

`npm install inoreaderupdate`

To use:

`var inoreader = require('inoreader')(appId, appKey);`

## Methods

#### .login(userEmail, userPassword)
Logs in as a user and gets a user token from Inoreader. Subsequent calls will reuse the users token, until a new `login` call is made

#### .getUserInfo()
Return information about the currently logged in user.

#### .streamContents(streamId, options)
Grabs items from a stream. Options is a javascript object, with keys matching those found [here](https://www.inoreader.com/developers/stream-contents).

#### .markAllRead(streamId, timeStamp)
Marks item in a stream as read that are older than `timeStamp`. Timestamp is an optional unix timestamp. If omitted, the current time is used.

#### .listSubscriptions()
Returns the current user's list of subscribed feeds.

#### .addSubscription(feedId)
Adds a subscription for the current user to the feed.

# License

Copyright 2018 John Titus Justin Schellenberg

Permission to use, copy, modify, and/or distribute this software for any purpose with or without fee is hereby granted, provided that the above copyright notice and this permission notice appear in all copies.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
